﻿using System;
using HeuristicLab.Core;
using HeuristicLab.Data;
using System.Collections.Generic;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface IValueConfiguration : IOptimizable, IItem {
    IItemCollection<IParameterConfiguration> ParameterConfigurations { get; }
    IRange RangeConstraint { get; }
    event EventHandler ValueChanged;
    
    void Parameterize(IParameterizedItem item);
  }
}
